Package org.apache.synapse.mediators.xquery

# Class MediatorCustomVariable

java.lang.Object
org.apache.synapse.mediators.xquery.MediatorVariable
org.apache.synapse.mediators.xquery.MediatorCustomVariable

public class MediatorCustomVariable extends MediatorVariable
The value of the custom variable will be evaluated dynamically. The value is computed by extracting the data from the XML document which will lookup through the key or the current SOAP message.

- ## Field Summary

  ### Fields inherited from class org.apache.synapse.mediators.xquery.MediatorVariable

  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MediatorCustomVariable(QName name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `evaluateValue(org.apache.synapse.MessageContext synCtx)`
  To assign a value to variable dynamically
  `org.apache.synapse.util.xpath.SynapseXPath`
  `getExpression()`
  `String`
  `getRegKey()`
  `void`
  `setExpression(org.apache.synapse.util.xpath.SynapseXPath expression)`
  `void`
  `setRegKey(String regKey)`

  ### Methods inherited from class org.apache.synapse.mediators.xquery.MediatorVariable

  `getName, getNodeKind, getType, getValue, setName, setNodeKind, setType, setValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MediatorCustomVariable

    public MediatorCustomVariable(QName name)

- ## Method Details

  - ### evaluateValue

    public boolean evaluateValue(org.apache.synapse.MessageContext synCtx)
    To assign a value to variable dynamically
    Specified by:
      `evaluateValue` in class `MediatorVariable`
    Parameters:
      `synCtx` - The current message context
    Returns:
      `true` if the value has changed

  - ### setExpression

    public void setExpression(org.apache.synapse.util.xpath.SynapseXPath expression)

  - ### setRegKey

    public void setRegKey(String regKey)

  - ### getRegKey

    public String getRegKey()

  - ### getExpression

    public org.apache.synapse.util.xpath.SynapseXPath getExpression()